// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_concrete_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1992_NEN_2020_02;
// general.current_standard_for_timber_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1995_NEN_2014_06;
// general.current_standard_for_aluminum_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1999_NEN_2014_01;

STEEL_DESIGN.setActive(true);
CONCRETE_DESIGN.setActive(false);
TIMBER_DESIGN.setActive(false);
ALUMINUM_DESIGN.setActive(false);
STEEL_JOINTS.setActive(false);

Angle = Angle * Math.PI / 180;

// create topology
// create nodes
Node(undefined, 0, 0, 0, "Oorsprong");
Node(undefined, 0, 0, -1 * Height);
Node(undefined, Span1, 0, -1 * Height - 1 * Math.sin(Angle) * Span1, "Nok van het Dak");
Node(undefined, Span1 + Span2, 0, -1 * Height);
Node(undefined, Span1 + Span2, 0, 0);

ProfileNameColumn ="HEA 260";
ProfileNameRoof="IPE 450";

// create members
var sectionColumn = Section(undefined, ProfileNameColumn, 1, "Kolom Profiel");
var sectionRoof = Section(undefined, ProfileNameRoof, 1, "Dakligger Profiel");

Member(undefined, [1, 2], "Linker Kolom");
member.section_start = sectionColumn;

Member(undefined, [2, 3], "Linker Dakligger");
member.section_start = sectionRoof;

Member(undefined, [3, 4], "Rechter Dakligger");
member.section_start = sectionRoof;

Member(undefined, [5, 4], "Rechter Kolom");
member.section_start = sectionColumn;

//const numberofsupports = 2;

var nod = new Node();

for (var i = 1; i < numberofsupports+1; i++) {
    nod.OnMember(undefined, 2, "", [true, i*100 / (numberofsupports+1)], "Links - Kipsteun " + i+1); 
}
//nod.OnMember(undefined, 2, "", [true, 33.33], "Links - Kipsteun 1");
//nod.OnMember(undefined, 2, "", [true, 66.67], "Links - Kipsteun 2");
nod.OnMember(undefined, 3, "", [true, 33.33], "Rechts - Kipsteun 1");
nod.OnMember(undefined, 3, "", [true, 66.67], "Rechts - Kipsteun 2");

// Create hinge
var hinges_params_1 =
{
    "moment_release_mt": member_hinges.SPRING_CONSTANT_NO,
    "moment_release_mz": member_hinges.SPRING_CONSTANT_NO,
    "axial_release_n": member_hinges.SPRING_CONSTANT_NO,
    "axial_release_vy": member_hinges.SPRING_CONSTANT_NO,
    "axial_release_vz": member_hinges.SPRING_CONSTANT_NO,
};
var memberHinge = new MemberHinge(undefined, [], [2], "", hinges_params_1);

// create supports
var nodal_support1 = new NodalSupport(undefined, [1]);
nodal_support1.Hinged();
nodal_support1.RotationX(true);
nodal_support1.RotationZ(false);

var nodal_support2 = new NodalSupport(undefined, [5]);
nodal_support2.Hinged();
nodal_support2.TranslationX(true);
nodal_support1.RotationZ(false);