// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_concrete_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1992_NEN_2020_02;
// general.current_standard_for_timber_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1995_NEN_2014_06;
// general.current_standard_for_aluminum_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1999_NEN_2014_01;

STEEL_DESIGN.setActive(true);
CONCRETE_DESIGN.setActive(false);
TIMBER_DESIGN.setActive(false);
ALUMINUM_DESIGN.setActive(false);
STEEL_JOINTS.setActive(false);

const height = 0;

Angle = Angle * Math.PI / 180;

// create topology
// create nodes
Node(undefined, 0, 0, height, "Oorsprong");
Node(undefined, Span1, 0, height -1*Math.sin(Angle) * Span1, "Nok van het Dak"); 
Node(undefined, Span1 + Span2, 0, height);

// create members
//Material(undefined, "S235 | EN 1993-1-1:2005-05");

if (ProfileName = 1) { var ProfileNameString = "HEA 200" }
else { var ProfileNameString = "IPE 330" }

var section = Section(undefined, ProfileNameString, MaterialNumber);

Member(undefined, [1, 2]);
member.section_start = section;

Member(undefined, [2, 3]);
member.section_start = section;

// create inner nodes
var nod = new Node();
nod.OnMember(undefined, 1, "", [true, 33.33], "Veld 1 - Kipsteun 1");
nod.OnMember(undefined, 1, "", [true, 66.67], "Veld 1 - Kipsteun 2");
nod.OnMember(undefined, 2, "", [true, 33.33], "Veld 2 - Kipsteun 1");
nod.OnMember(undefined, 2, "", [true, 66.67], "Veld 2 - Kipsteun 2");


// create supports
var nodal_support1 = new NodalSupport(undefined, [1]);
nodal_support1.Hinged();
nodal_support1.RotationX(true);
nodal_support1.RotationZ(false);

var nodal_support2 = new NodalSupport(undefined, [2, 3]);
nodal_support2.Hinged();
nodal_support2.TranslationX(false);
nodal_support2.RotationZ(false);