// activate steel design add-on
STEEL_DESIGN.setActive(true);
general.current_standard_for_steel_design = 17; //EN 1993 | CEN | 2015-06

// create a steel boundary condition
const myBound = new SteelBoundaryConditions();   // assign boundary condition to a variable
myBound.intermediate_nodes = false;            // do not enable intermediate nodes
myBound.comment = "Kniklengte is systeemlengte";
myBound.user_defined_name_enabled = true;
myBound.name = "Systeem";
myBound.nodal_supports[1].support_in_y = true;
myBound.nodal_supports[1].restraint_about_x = true;
myBound.nodal_supports[1].restraint_about_z = false;
myBound.nodal_supports[1].restraint_warping = false;

// create a steel effective length
const myBound = new SteelBoundaryConditions();  // assign boundary condition to a variable
myBound.intermediate_nodes = true;            // enable intermediate nodes
myBound.comment = "Volledig aan het begin en einde plus tussensteunen in Y-richting";
myBound.user_defined_name_enabled = true;
myBound.name = "Tussen in Y";
myBound.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myBound.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myBound.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myBound.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

for (var i = 0; i < 11; i++) {

    myBound.nodal_supports.insert_row(2);         // insert the intermediate row
    // set support statuses
    myBound.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;

}

myBound.nodal_supports[13].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myBound.nodal_supports[13].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myBound.nodal_supports[13].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myBound.nodal_supports[13].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;
